# Find the Platform SDK installation 
# This module defines
# DXSDK_DIR, where to find Platform SDK Installation
# DXSDK_INCLUDE_DIR, where the headers are located
# DXSDK_INIT_SCRIPT, where the environment init scripts is located 
# DXSDK_FOUND, If false, do not try to use PSDK
#
# Copyright (c) 2008, Ralf Habacker, <ralf.habacker@freenet.de>
#
# Redistribution and use is allowed according to the terms of the BSD license.
# For details see the accompanying COPYING-CMAKE-SCRIPTS file.

if(DXSDK_INCLUDE_DIR)
   set(DXSDK_FOUND TRUE)

else(DXSDK_INCLUDE_DIR)
    FIND_PATH(DXSDK_DIR include/d3d9.h
        "$ENV{DXSDK_DIR}"
        "$ENV{ProgramFiles}/Microsoft DirectX SDK (April 2007)"
    )
    
    set (DXSDK_INCLUDE_DIR ${DXSDK_DIR}/include)
    set (DXSDK_INIT_SCRIPT ${DXSDK_DIR}/Utilties/bin/dx_setenv.cmd)

    FIND_LIBRARY(D3D9_LIBRARY  d3d9
        "${DXSDK_DIR}/lib/x86"
    )

    FIND_LIBRARY(DDRAW_LIBRARY  ddraw
        "${DXSDK_DIR}/lib/x86"
    )

    FIND_LIBRARY(DINPUT_LIBRARY  dinput
        "${DXSDK_DIR}/lib/x86"
    )

    FIND_LIBRARY(DSOUND_LIBRARY  dsound
        "${DXSDK_DIR}/lib/x86"
    )

    FIND_LIBRARY(DXGUID_LIBRARY  dxguid
        "${DXSDK_DIR}/lib/x86"
    )

    if(DXSDK_INCLUDE_DIR AND D3D9_LIBRARY)
        set(DXSDK_FOUND TRUE)
        set(DXSDK_LIBRARIES ${D3D9_LIBRARY} ${DSOUND_LIBRARY} ${DDRAW_LIBRARY} ${DINPUT_LIBRARY} ${DXGUID_LIBRARY})
        message(STATUS "Found DirectX SDK: ${DXSDK_DIR} ")
        #INCLUDE_DIRECTORIES(${DXSDK_INCLUDE_DIR})
    else(DXSDK_INCLUDE_DIR AND D3D9_LIBRARY)
        set(DXSDK_FOUND FALSE)
        message(STATUS "DirectX SDK not found.")
    endif(DXSDK_INCLUDE_DIR AND D3D9_LIBRARY)

    MARK_AS_ADVANCED(DXSDK_DIR DXSDK_INCLUDE_DIR)
endif(DXSDK_INCLUDE_DIR)
